Get Products

Get Products
Get all metered products for a given tenant. Products are always sorted by the product ID.

Get all metered products for a given tenant. Products are always sorted by the product ID.

Request
URI
GET
https://eapi.broadcom.com/vcf/ums/api/v2/{tenantId}/products
COPY
Path Parameters
string
tenantId
Required

The tenant ID for which to get products for.

Query Parameters
string
agentId
Optional

Used to filter products for a specific metering agent

integer
productId
Optional

Used to filter product for a specific product ID, works in combination with agentId only. The combination of agentId and productId is unique.

string
productType
Optional

Used to filter products for a specific product type. Parameter is ignored if productId is provided. Product types are defined in the Usage Meter appliance, see Product Type.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

[
    {
        "agentId": "string",
        "tenantId": "string",
        "productId": "string",
        "productType": "string",
        "productUuid": "string",
        "productVersion": "string",
        "status": "string",
        "codes": [
            "string"
        ],
        "effectiveFrom": "string",
        "srmVersions": [
            "string"
        ],
        "vsanVersions": [
            "string"
        ]
    }
]
array of object
Optional

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/vcf/ums/api/v2/{tenantId}/products